Update Analysis - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

PUT

/ v1

/analyses

{analysisId}

Update Analysis

cURL

curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": "<string>",
  "analysisPeriods": [\
    {\
      "startDate": "2023-12-25",\
      "endDate": "2023-12-25",\
      "id": "<string>",\
      "interimAsAtDate": "2023-12-25"\
    }\
  ],
  "currencyCode": "<string>",
  "archived": true,
  "reportingPeriodConfigurationId": "<string>"
}
'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}"

payload = {
    "version": 123,
    "name": "<string>",
    "analysisPeriods": [\
        {\
            "startDate": "2023-12-25",\
            "endDate": "2023-12-25",\
            "id": "<string>",\
            "interimAsAtDate": "2023-12-25"\
        }\
    ],
    "currencyCode": "<string>",
    "archived": True,
    "reportingPeriodConfigurationId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    name: '<string>',
    analysisPeriods: [\
      {\
        startDate: '2023-12-25',\
        endDate: '2023-12-25',\
        id: '<string>',\
        interimAsAtDate: '2023-12-25'\
      }\
    ],
    currencyCode: '<string>',
    archived: true,
    reportingPeriodConfigurationId: '<string>'
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PUT",\
  CURLOPT_POSTFIELDS => json_encode([\
    'version' => 123,\
    'name' => '<string>',\
    'analysisPeriods' => [\
        [\
                'startDate' => '2023-12-25',\
                'endDate' => '2023-12-25',\
                'id' => '<string>',\
                'interimAsAtDate' => '2023-12-25'\
        ]\
    ],\
    'currencyCode' => '<string>',\
    'archived' => true,\
    'reportingPeriodConfigurationId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/analyses/{analysisId}"

payload := strings.NewReader("{\n  \"version\": 123,\n  \"name\": \"<string>\",\n  \"analysisPeriods\": [\n    {\n      \"startDate\": \"2023-12-25\",\n      \"endDate\": \"2023-12-25\",\n      \"id\": \"<string>\",\n      \"interimAsAtDate\": \"2023-12-25\"\n    }\n  ],\n  \"currencyCode\": \"<string>\",\n  \"archived\": true,\n  \"reportingPeriodConfigurationId\": \"<string>\"}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "analysisTypeId": "<string>",
  "name": "<string>",
  "interim": true,
  "archived": true,
  "converted": true,
  "periodic": true,
  "importantColumns": [\
    {\
      "columnName": "<string>",\
      "field": "<string>"\
    }\
  ],\
  "analysisPeriods": [\
    {\
      "startDate": "2023-12-25",\
      "endDate": "2023-12-25",\
      "id": "<string>",\
      "interimAsAtDate": "2023-12-25"\
    }\
  ],\
  "analysisPeriodGaps": [\
    {\
      "analysisPeriodId": "<string>",\
      "previousAnalysisPeriodId": "<string>",\
      "days": 123\
    }\
  ],\
  "currencyCode": "<string>",
  "latestAnalysisResultId": "<string>",
  "referenceId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123
  }
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.